<template>
    <div id="landing-partners" class="d-flex flex-column justify-content-center">
        <div class="d-flex justify-content-start title">
            <div>Ils travaillent avec nous</div>
        </div>
        <div class="d-flex partners-container">
            <div class="partners-img">
                <img src="../assets/partners_vignettes.png"  style="position: absolute;left:0px;top:0px;" />
            </div>
            <LandingExpert class="flex-grow-1" :expertData="experts[0]"></LandingExpert>
            <LandingExpert class="flex-grow-1" :expertData="experts[1]"></LandingExpert>
        </div>
        <div class="d-flex justify-content-end mt-2">
            <LandingChatbotButton></LandingChatbotButton>
        </div>

    </div>
</template>

<script>
import LandingExpert from './LandingExpert.vue';
import LandingChatbotButton from '@/components/LandingChatbotButton.vue';

export default {
    name: "LandingPartners",
    components: {
        LandingExpert,
        LandingChatbotButton,
    },
    data() {
        return {
            experts: [
                {
                    firstName: "Sophia",
                    lastName: "Sanchez",
                    function: "Avocate",
                },
                {
                    firstName: "Thomas",
                    lastName: "Crepel",
                    function: "Juriste",
                }
            ]
        }
    },
    methods: {}
}
</script>

<style scoped>
#landing-partners {
    margin-top: 60px;
    margin-bottom: 60px;
    background-color: white;
    height: 400px;
    z-index: 10;
}

.title {
    margin-left: 42px;
    color: #000;
    font-family: Pawradise;
    font-size: 25px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    z-index: 10;

}

.partners-container {
    margin-top: 41px;

}

.partners-img {
    position: relative;
    width: 700px;
}
</style>